Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		qloud
#Epoch:		0
Version:	0.22
Release:	1
License:	GNU/GPLv2
URL:		http://gaydenko.com/qloud/
Group:		Science/ElectricalEngineering
Summary:	tool to measure loudspeaker frequency and step responses and distortions
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2
Source1:	qloud-icon.png
Source2:	qloud.desktop

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: fftw-devel
BuildRequires: glibc-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libgcc
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel
BuildRequires: qwt-devel

%description
QLoud is a tool to measure a loudspeaker frequency response and distortions.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
qmake-qt4
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/qloud $RPM_BUILD_ROOT%{_bindir}/qloud

install -m 755 -d $RPM_BUILD_ROOT%_applications
install -m 755 -d $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%_applications

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/qloud
%{_datadir}/applications/qloud.desktop
%{_datadir}/pixmaps/qloud-icon.png

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Jul 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.22-1
- initial CCux package release
